> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Health check endpoint



## OpenAPI

````yaml GET /health
openapi: 3.0.0
info:
  title: QYL Observability API
  version: '2026-01-26'
servers:
  - url: https://api.staging.qyl.dev
    description: QYL Staging API
    variables: {}
  - url: https://api.qyl.dev
    description: QYL Production API
    variables: {}
security: []
tags:
  - name: Streaming
  - name: Traces
  - name: Logs
  - name: Metrics
  - name: Sessions
  - name: Errors
  - name: Deployments
  - name: Services
  - name: Health
  - name: Workspaces
  - name: Onboarding
  - name: Configurator
  - name: Issues
  - name: Workflows
  - name: Search
  - name: Alerts
paths:
  /health:
    get:
      tags:
        - Health
      description: Health check endpoint
      operationId: health_check
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
components:
  schemas:
    HealthResponse:
      type: object
      required:
        - status
        - version
        - uptime_seconds
      properties:
        status:
          allOf:
            - $ref: '#/components/schemas/HealthStatus'
          description: Service status
        version:
          allOf:
            - $ref: '#/components/schemas/Qyl.Common.SemVer'
          description: Service version
        uptime_seconds:
          type: integer
          format: int64
          description: Uptime in seconds
        components:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/HealthStatus'
          description: Component health
      description: Health check response
    HealthStatus:
      type: string
      enum:
        - healthy
        - degraded
        - unhealthy
    Qyl.Common.SemVer:
      type: string
      pattern: >-
        ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$
      description: Semantic version string (e.g., 1.2.3)
      example: 2.1.0

````